util: Cleanup the provision_root.sh

Change-Id: I58215dddc34476695c7aedc77b55d338e0304198
This commit is contained in:
Bobby R. Bruce
2023-10-04 17:53:08 -07:00
parent c0cb16ba89
commit 8c2d414223

View File

@@ -5,9 +5,9 @@ set -eu -o pipefail # -x: is for debugging
apt-get update
apt-get upgrade -y
apt-get install -y software-properties-common
add-apt-repository --yes --update ppa:git-core/ppa
apt-get install -y \
software-properties-common \
bash \
build-essential \
clang-format \
@@ -25,8 +25,12 @@ apt-get install -y \
tree \
wget \
yamllint \
zstd
snap install jq
zstd \
jq \
apt-transport-https ca-certificates \
curl \
gnupg \
lsb-release
# Install docker
apt-get install -y apt-transport-https ca-certificates curl gnupg lsb-release
@@ -34,10 +38,11 @@ curl -fsSL https://download.docker.com/linux/ubuntu/gpg | gpg --dearmor -o /usr/
echo "deb [arch=amd64 signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable" | tee /etc/apt/sources.list.d/docker.list > /dev/null
apt-get update -y
apt-get install -y docker-ce docker-ce-cli containerd.io
groupadd docker || true
gpasswd -a vagrant docker
newgrp docker
systemctl restart docker
# Add the Vagrant user to the docker group.
# Note: The VM needs rebooted for this to take effect. `newgrp docker` doesn't
# work.
usermod -aG docker vagrant
# Cleanup
apt-get autoremove -y